Bug 1279090 - (sdl2-cs) Review Request: sdl2-cs - C# wrapper for SDL2
Review Request: sdl2-cs - C# wrapper for SDL2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: openra
  Show dependency treegraph
 
Reported: 2015-11-07 15:07 EST by Raphael Groner
Modified: 2016-11-05 18:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 18:10:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-11-07 15:07:46 EST
Spec URL: sdl2-cs.spec
SRPM URL: <srpm info here>
Description: C# wrapper for SDL2
Fedora Account System Username: raphgro

This is just a place holder for an upcoming package request.

URL: https://github.com/OpenRA/SDL2-CS
Comment 1 Matthias Mailänder 2015-11-24 07:54:39 EST
See https://build.opensuse.org/package/show/games:openra/sdl2cs-minitk
Comment 2 Raphael Groner 2016-05-16 09:07:46 EDT
Needs unbundling of OpenTK. Luckily, OpenTK is already packaged.
Comment 3 Matthias Mailänder 2016-05-16 09:56:53 EDT
We removed the need to contain MiniTK in https://github.com/OpenRA/SDL2-CS/releases/tag/20151227 See https://github.com/OpenRA/OpenRA/pull/10288 and https://github.com/OpenRA/OpenRA/pull/10299 It got replaced by custom OpenGL bindings. Note that OpenRA now also needs https://github.com/OpenRA/OpenAL-CS
Comment 4 Raphael Groner 2016-09-29 13:21:14 EDT
What's the state in OpenRA? Is SDL2-CS still a dependency? If no, I'll close this request. For OpenAL-CS, we need another package review.
Comment 5 Matthias Mailänder 2016-09-29 23:04:40 EDT
This is a dependency you should bundle with OpenRA as we are also the upstream for our fork.

Note You need to log in before you can comment on or make changes to this bug.